autofs-5.1.6 - use bit flag for force unlink mounts

From: Ian Kent <raven@themaw.net>

Change global varaiable do_force_unlink to be a bit flag.

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG           |    1 +
 daemon/automount.c  |    2 +-
 include/automount.h |    2 ++
 3 files changed, 4 insertions(+), 1 deletion(-)

diff --git a/CHANGELOG b/CHANGELOG
index cecaa9c2..a6c3d6db 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -44,6 +44,7 @@ xx/xx/2020 autofs-5.1.7
 - fix direct mount unlink_mount_tree() path.
 - fix unlink mounts umount order.
 - fix incorrect logical compare in unlink_mount_tree().
+- use bit flag for force unlink mounts.
 
 07/10/2019 autofs-5.1.6
 - support strictexpire mount option.
diff --git a/daemon/automount.c b/daemon/automount.c
index 53861551..6e208d0a 100644
--- a/daemon/automount.c
+++ b/daemon/automount.c
@@ -2357,7 +2357,7 @@ int main(int argc, char *argv[])
 			break;
 
 		case 'F':
-			do_force_unlink = 1;
+			do_force_unlink = UNLINK_AND_CONT;
 			break;
 
 		case '?':
diff --git a/include/automount.h b/include/automount.h
index 7214a451..d742ee30 100644
--- a/include/automount.h
+++ b/include/automount.h
@@ -593,6 +593,8 @@ struct autofs_point {
 	struct list_head submounts;	/* List of child submounts */
 };
 
+#define UNLINK_AND_CONT		0x01
+
 /* Foreably unlink existing mounts at startup. */
 extern int do_force_unlink;
 
